ELF_FILL(3)

NAME
elf_fill - Set fill byte used when constructing or editing ELF object files.

SYNOPSIS
#include <libelf.h>
void elf_fill(int fill);

DESCRIPTION
The elf_fill function sets the fill byte used by libelf to pad new gaps between ELF sections or data elements when an ELF object file is resized or realigned using elf_update. The default fill byte used by libelf is zero.

PARAMETERS

fill
    The value used to fill gaps in future writes to ELF objects. This value should be between 0 and 255 (inclusive). Only the least significant 8 bits are used.

RETURN VALUE
elf_fill returns no value.

SEE ALSO
elf_update(3), libelf(3), elf(5)

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Unsafe race

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.